nvme_ns_mgmt_delete_timeout(2)

NAME
nvme_ns_mgmt_delete_timeout - Delete a non attached namespace with timeout

SYNOPSIS
int nvme_ns_mgmt_delete_timeout (int fd , __u32 nsid , __u32 timeout );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace identifier to delete

timeout
    Override the default timeout to this value in milliseconds; set to 0 to use the system default.

DESCRIPTION
It is recommended that a namespace being deleted is not attached to any controller. Use the nvme_ns_detach_ctrls first if the namespace is still attached.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.